Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5518 - NCFTP does not work
Summary: NCFTP does not work
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ncftp
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-04 22:20 UTC by Yil-Kyu Kang
Modified: 2014-03-17 02:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-04 22:27:31 UTC


Attachments (Terms of Use)

Description Yil-Kyu Kang 1999-10-04 22:20:57 UTC
When selecting NCFTP from "gnome panel" -> internet -> nfctp
it does not work. Nothing happens.

Comment 1 Bill Nottingham 1999-10-04 22:27:59 UTC
fixed in ncftp-3.0.beta21-1, in the next Raw Hide release.

Comment 2 Jan Carlson 2000-02-06 21:37:59 UTC
The fix did not appear in Rawhide ncftp-3.0beta21-1.i386.rpm or
ncftp-3.0beta21-2.i386.rpm.  Both still have Terminal=1 in
ncftp.desktop. Because Gnome interprets 1 as false, no window appears,
and ncftp complains into ~/.xsession-errors.

OFFENDING FILE: = /etc/X11/applnk/Internet/ncftp.desktop

POSSIBLE SOLUTION: replace Terminal=1 with Terminal=true

TO VERIFY THIS BUG, DO rpm -Uvh --allfiles ncftp*.rpm.
Then try to run ncftp from the Gnome|Internet menu.
Otherwise rpm will not replace your current ncftp.desktop.
It's a config file.

This is the only remaining .desktop file that contains Terminal=1,
after applying all RH6.1 updates and Gotchas fixes.  Lots of them
contain Terminal=0.  Gnome might need to understand 1 as an alternate
for true, but it doesn't in RH6.1 with all updates and gotchas fixes.

Comment 3 Bill Nottingham 2000-02-07 15:42:59 UTC
I believe the current fixes are in the GNOME and KDE
libraries, in that they now both understand the
same syntax.

Comment 4 Jan Carlson 2000-02-08 01:10:59 UTC
All my rpms here are upgraded to the current Rawhide, but the "Terminal=1"
in ncftp is still interpreted as Terminal=false and ncftp won't come up.
Maybe in the next Rawhide?


Note You need to log in before you can comment on or make changes to this bug.